Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.calendar
Class CalendarConstants

    java.lang.Object
      com.tibco.bpm.web.client.model.types.calendar.CalendarConstants

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, java.io.Serializable

    public class CalendarConstants

extends java.lang.Object
implements java.io.Serializable, com.google.gwt.user.client.rpc.IsSerializable

See Also:
  Serialized Form

Field Summary
`static int` | `DAYS_PER_WEEK`
`static TimeHmm` | `endOfDay`
`static int` | `HOURS_PER_DAY`
`static long` | `MILLIS_PER_DAY`
`static long` | `MILLIS_PER_HOUR`
`static long` | `MILLIS_PER_MINUTE`
`static long` | `MILLIS_PER_SECOND`
`static int` | `MINUTES_PER_HOUR`
`static int` | `MONTHS_PER_YEAR`
`static int` | `SECONDS_PER_MINUTE`
`static TimeHmm` | `startOfDay`

Method Summary
`static CalendarDay` | `getEpochFirstDayOfWeek(WeekDay weekDay)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MONTHS_PER_YEAR

    public static final int MONTHS_PER_YEAR

### DAYS_PER_WEEK

    public static final int DAYS_PER_WEEK

### HOURS_PER_DAY

    public static final int HOURS_PER_DAY

### MINUTES_PER_HOUR

    public static final int MINUTES_PER_HOUR

### MILLIS_PER_SECOND

    public static final long MILLIS_PER_SECOND

### SECONDS_PER_MINUTE

    public static final int SECONDS_PER_MINUTE

### MILLIS_PER_MINUTE

    public static final long MILLIS_PER_MINUTE

### MILLIS_PER_HOUR

    public static final long MILLIS_PER_HOUR

### MILLIS_PER_DAY

    public static final long MILLIS_PER_DAY

### startOfDay

    public static final TimeHmm startOfDay

### endOfDay

    public static final TimeHmm endOfDay

Method Detail

### getEpochFirstDayOfWeek

    public static CalendarDay getEpochFirstDayOfWeek(WeekDay weekDay)

  Parameters:
    `weekDay` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.